=== debian/changelog ===
xd (0.1.0~pre4-1) unstable; urgency=low

  * initial release 0.1.0-pre4

 -- r4sas <r4sas@i2pmail.org>  Fri, 16 Mar 2018 00:00:00 +0000
