=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/xd/etc/apparmor.d
	cp contrib/apparmor/usr.bin.XD debian/xd/etc/apparmor.d/usr.bin.XD
	dh_apparmor --profile-name=usr.bin.XD -pxd
	dh_auto_install
