=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/XD-$1\.tar\.gz/ \
  https://github.com/majestrate/XD/tags .*/v?(\d\S+)\.tar\.gz
